<div class="row justify-content-center">
    <div class="col-8">
        <div *ngIf="cISResult">
            <h2><span>CIS Result</span> {{ cISResult.id }}</h2>

            <hr>

            <jhi-alert-error></jhi-alert-error>

            <dl class="row-md jh-entity-details">
                <dt><span>Number</span></dt>
                <dd>
                    <span>{{ cISResult.number }}</span>
                </dd>
                <dt><span>Description</span></dt>
                <dd>
                    <span>{{ cISResult.description }}</span>
                </dd>
                <dt><span>Status</span></dt>
                <dd>
                    <span>{{ cISResult.status }}</span>
                </dd>
                <dt><span>Control</span></dt>
                <dd>
                    <div *ngIf="cISResult.control">
                        <a [routerLink]="['/cis-control', cISResult.control?.id, 'view']">{{ cISResult.control?.id }}</a>
                    </div>
                </dd>
            </dl>

            <button type="submit"
                    (click)="previousState()"
                    class="btn btn-info">
                <fa-icon icon="arrow-left"></fa-icon>&nbsp;<span>Back</span>
            </button>

            <button hidden type="button" hidden 
                    [routerLink]="['/cis-result', cISResult.id, 'edit']"
                    class="btn btn-primary">
                <fa-icon icon="pencil-alt"></fa-icon>&nbsp;<span>Edit</span>
            </button>
        </div>
    </div>
</div>
